agency-board
POST /v1/agency/boards/{boardId}/cards/{cardId}/comments
Comment on a card.
Authenticatie
Stuur een API-sleutel mee als bearer token. Dit eindpunt vermeldt geen specifieke toestemming in de specificatie, dus geef uw sleutel de minimale rechten die nodig zijn en controleer het antwoord in plaats van zomaar wat aan te nemen.
Dit eindpunt vereist geen organisatie-id. Uw sleutel identificeert al de organisatie waartoe deze behoort, en het antwoord is hierop afgestemd.
Probeer het
Vervang alles tussen punthaakjes door uw eigen waarden en de sleutelplaatsvervanger door een sleutel uit uw dashboard.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'Ingelogd? De API-console in je dashboard vult je echte organisatie-id en je eigen sleutel in, en voert het verzoek uit tegen de live API zodat je de daadwerkelijke respons kunt zien. Open dit eindpunt in de API-console
Details
`visibility` defaults to `internal`, so an agency comment must be widened deliberately to reach the client.
Parameters
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
boardId (path) | Uuid | Ja | Project board ID (UUIDv7). |
cardId (path) | Uuid | Ja | Board card ID (UUIDv7). |
Aanvraaglichaam
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
body | string | Ja | — |
visibility | AgencyBoardVisibility | Nee | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
Reactie
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
author_id | string | Nee | — |
author_is_client | boolean | Nee | — |
author | AgencyBoardActor | Nee | — |
body | string | Ja | — |
visibility | AgencyBoardVisibility | Ja | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
created_at | string | Ja | — |
Fouten die dit eindpunt kan retourneren
401 · 403 · 404 · 422